# thread_pthread.cpp File Reference

POSIX pthread implementation of Threads. More...

`#include "../stdafx.h"`
`#include "thread.h"`
`#include <pthread.h>`
`#include <errno.h>`

Go to the source code of this file.

## Data Structures
class | ThreadObject_pthread
| POSIX pthread version for ThreadObject. More...
class | ThreadMutex_pthread
| POSIX pthread version of ThreadMutex. More...

## Detailed Description

POSIX pthread implementation of Threads.

Definition in file thread_pthread.cpp.